// WaitDialog.cpp : implementation file
//

#include "stdafx.h"
#include "PublicDNSPluginConfig.h"
#include "WaitDialog.h"
#include "Trace.h"
#include "WaitDialog.tmh"


// CWaitDialog dialog

IMPLEMENT_DYNCREATE(CWaitDialog, CDHtmlDialog)

CWaitDialog::CWaitDialog(CWnd* pParent /*=NULL*/)
: CDHtmlDialog(_T("WAITDIALOG"), _T("WAITDIALOG.HTM"), pParent)
, m_sCopyRightDates(theApp.m_sCopyRightDates)
, m_sMessageText(_T(""))
{
}

CWaitDialog::~CWaitDialog()
{
}

void CWaitDialog::DoDataExchange(CDataExchange* pDX)
{
    DDX_DHtml_ElementInnerText(
        pDX,
        _T("message_text"),
        m_sMessageText
        );
    DDX_DHtml_ElementInnerText(
        pDX,
        _T("cr_dates"),
        m_sCopyRightDates
        );
	CDHtmlDialog::DoDataExchange(pDX);
}

BOOL CWaitDialog::OnInitDialog()
{
	CDHtmlDialog::OnInitDialog();
	return TRUE;  // return TRUE  unless you set the focus to a control
}

BEGIN_MESSAGE_MAP(CWaitDialog, CDHtmlDialog)
END_MESSAGE_MAP()

BEGIN_DHTML_EVENT_MAP(CWaitDialog)
END_DHTML_EVENT_MAP()



// CWaitDialog message handlers


void CWaitDialog::OnOK()
{
    //CDHtmlDialog::OnOK();
}


void CWaitDialog::OnCancel()
{
    //CDHtmlDialog::OnCancel();
}

STDMETHODIMP CWaitDialog::ShowContextMenu(
    DWORD dwID,
    POINT* ppt,
    IUnknown* pcmdtReserved,
    IDispatch* pdispReserved
    )
{
    UNREFERENCED_PARAMETER(ppt);
    UNREFERENCED_PARAMETER(pcmdtReserved);
    UNREFERENCED_PARAMETER(pdispReserved);
    if(dwID == CONTEXT_MENU_CONTROL) {
        return S_FALSE;
    }
    return S_OK;
}

STDMETHODIMP CWaitDialog::GetHostInfo(
    DOCHOSTUIINFO *pInfo
    )
{
	pInfo->dwFlags = DOCHOSTUIFLAG_NO3DBORDER | DOCHOSTUIFLAG_DIALOG;
    pInfo->dwDoubleClick = DOCHOSTUIDBLCLK_DEFAULT;
    return S_OK;
}
